Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenChildSideAffixedNode

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenChildContainer, GenChildNode, GenCommonBase, GenContainerBase, GenLinkEnd, GenNode, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenChildSideAffixedNodeImpl

    public interface GenChildSideAffixedNode

extends GenChildNode

A representation of the model object 'Gen Child Side Affixed Node'.

The following features are supported:

- `Preferred Side Name`

See Also:
  `GMFGenPackage.getGenChildSideAffixedNode()`
** Generated **
Model:

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`java.lang.String` `getPreferredSideName()` Returns the value of the 'Preferred Side Name' attribute.
`void` `setPreferredSideName(java.lang.String value)` Sets the value of the '`Preferred Side Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildNode
`getContainers, getDiagram`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode

`getCompartments, getCreateCommandClassName, getCreateCommandQualifiedClassName, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, getPrimaryDragEditPolicyQualifiedClassName, getReorientedIncomingLinks, setCreateCommandClassName, setGraphicalNodeEditPolicyClassName, setModelFacet, setPrimaryDragEditPolicyQualifiedClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLinkEnd
`getGenIncomingLinks, getGenOutgoingLinks`

Method Detail

### getPreferredSideName

    java.lang.String getPreferredSideName()

  Returns the value of the 'Preferred Side Name' attribute. The default value is `"NONE"`.

  If the meaning of the 'Preferred Side Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preferred Side Name' attribute.
  See Also:
    `setPreferredSideName(String)`, `GMFGenPackage.getGenChildSideAffixedNode_PreferredSideName()`
  ** Generated **
  Model:
    default="NONE"

### setPreferredSideName

    void setPreferredSideName(java.lang.String value)

  Sets the value of the '`Preferred Side Name`' attribute.

  Parameters:
    `value` - the new value of the 'Preferred Side Name' attribute.
  See Also:
    `getPreferredSideName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.